Skip to main content
GET
cURL

Authorizations

api-key
string
header
required

The valid CreatorDB API key for authentication.

Query Parameters

uniqueId
string
required

Instagram account ID. Accepts instagram or @instagram format (@ is stripped automatically).

Required string length: 1 - 31
Pattern: ^@?[a-zA-Z0-9._]+$
Example:

"instagram"

pastDayRange
string
required

Returns one data point per day over the requested range. For example, 30 returns the past 30 days of daily snapshots. Valid range: 1-365.

Pattern: ^[1-9]\d*$
Example:

"30"

Response

Instagram performance historical data returned successfully.

data
object
required

The historical performance metrics of the specified Instagram account.

creditsUsed
integer
required

Number of API credits consumed by this request.

Example:

1

creditsAvailable
integer
required

Number of API credits remaining.

Example:

-1

traceId
string
required

Unique trace ID for each request.

Example:

"f8e4a3b2c1d0e9f8a7b6c5d4e3f2a1b0"

timestamp
integer
required

Time the response was generated, represented as a Unix timestamp in milliseconds.

Example:

1750732453635

errorCode
string
required

Error code returned if the request fails. Empty if the request is successful.

Example:

""

errorDescription
string
required

Description of the error. Empty if the request is successful.

Example:

""

success
boolean
required

true if the request is successful.

Example:

true

Last modified on July 28, 2026